/**
 *
 */
package de.rico.adventure.entity.prop;

import de.rico.adventure.entity.AbstractEntity;
import de.rico.engine.geometry.AbstractMesh;

/**
 * This class represents a prop. It's just a simple wrapper for
 * a mesh object. A prop is passive by it's nature. It's in no way
 * capable for any kind of interactivity.
 * @author Frank Bruns
 */
public class Prop extends AbstractEntity
{
	/**
	 * Creates a new prop based on the specified mesh.
	 * @param mesh mesh to use for the prop
	 */
	public Prop(AbstractMesh mesh)
	{
		super(mesh);
	}

	/**
	 * This method always returns <code>null</code>, because
	 * a prop doesn't need a name. It's not meant for interactivity.
	 */
	@Override
	public String getScreenName()
	{
		return null;
	}
}
